All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class WaterfallChartComposite

    com.sas.servlet.tbeans.graphics.html.WaterfallChartComposite

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, GraphCompositeKeysInterface, GraphCompositeStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class WaterfallChartComposite

WaterfallChartComposite is a TransformationBean that is composed of other TransformationBeans. The WaterfallChartComposite has MenuWaterfall, WaterfallChart, Title and Footer sub-components.

See Also:
  `WaterfallChart`, `Label`, Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeKeysInterface
`GRAPH_APPLIEDFILTERS, GRAPH_CHART, GRAPH_FOOTER, GRAPH_MENUBAR, GRAPH_TITLE`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeStyleKeysInterface
`GRAPH_CONTAINER_STYLE, GRAPH_CONTENT_STYLE, GRAPH_FOOTER_STYLE, GRAPH_STYLE, GRAPH_TITLE_STYLE, GRAPH_TOOLBAR_STYLE`

Constructor Summary
`WaterfallChartComposite()` Constructs a new WaterfallChartComposite object
`WaterfallChartComposite(WaterfallChartTableDataModel model)` Construct a new WaterfallChartComposite object
`WaterfallChartComposite(WaterfallChartTableDataModel dataModel, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Construct a new WaterfallChartComposite object

Method Summary
`WaterfallChartTableDataModel` | `getDataModel()` Returns the model on the viewer.
`void` | `setDataModel(WaterfallChartTableDataModel dataModel)` Sets the model on the viewer.

Methods inherited from class com.sas.servlet.tbeans.graphics.html.GraphComposite
`getDefaultAppliedFilters, getDefaultFooter, getDefaultMenuBar, getDefaultTitle, getModel, setModel, write`

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Constructor Detail

### WaterfallChartComposite

    public WaterfallChartComposite()

  Constructs a new WaterfallChartComposite object

### WaterfallChartComposite

    public WaterfallChartComposite(WaterfallChartTableDataModel model)

  Construct a new WaterfallChartComposite object

  Parameters:
    `model` - The model used for this composite

### WaterfallChartComposite

    public WaterfallChartComposite(WaterfallChartTableDataModel dataModel,
                                   javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response)

  Construct a new WaterfallChartComposite object

  Parameters:
    `dataModel` - The model used for this composite
    `request` - The HttpServletRequest object
    `response` - the HttpServletResponse object

Method Detail

### setDataModel

    public void setDataModel(WaterfallChartTableDataModel dataModel)

  Sets the model on the viewer.

  Parameters:
    `dataModel` - an instance of the WaterfallChartTableDataModel

### getDataModel

    public WaterfallChartTableDataModel getDataModel()

  Returns the model on the viewer.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.